TableBinder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class TableBinder

    java.lang.Object
      org.hibernate.cfg.annotations.TableBinder

    public class TableBinder

extends Object

Table related operations

Constructor Summary
`TableBinder()`

Method Summary
`static void` | `addIndexes(Table hibTable, Index[] indexes, Mappings mappings)`
`Table` | `bind()`
`static void` | `bindFk(PersistentClass referencedEntity, PersistentClass destinationEntity, Ejb3JoinColumn[] columns, SimpleValue value, boolean unique, Mappings mappings)`
`static Table` | `buildAndFillTable(String schema, String catalog, ObjectNameSource nameSource, ObjectNameNormalizer.NamingStrategyHelper namingStrategyHelper, boolean isAbstract, List<UniqueConstraintHolder> uniqueConstraints, String constraints, Table denormalizedSuperTable, Mappings mappings, String subselect)`
`static List<UniqueConstraintHolder>` | `buildUniqueConstraintHolders(UniqueConstraint[] annotations)` Build a list of `UniqueConstraintHolder` instances given a list of `UniqueConstraint` annotations.
`static List<String[]>` | `buildUniqueConstraints(UniqueConstraint[] constraintsArray)` Deprecated. Use `buildUniqueConstraintHolders(javax.persistence.UniqueConstraint[])` instead
`static void` | `createUniqueConstraint(Value value)`
`static Table` | `fillTable(String schema, String catalog, String realTableName, String logicalName, boolean isAbstract, List uniqueConstraints, String constraints, Table denormalizedSuperTable, Mappings mappings)` Deprecated. Use `buildAndFillTable(java.lang.String, java.lang.String, org.hibernate.cfg.ObjectNameSource, org.hibernate.cfg.ObjectNameNormalizer.NamingStrategyHelper, boolean, java.util.List, java.lang.String, org.hibernate.mapping.Table, org.hibernate.cfg.Mappings, java.lang.String)` instead.
`String` | `getName()`
`static void` | `linkJoinColumnWithValueOverridingNameIfImplicit(PersistentClass referencedEntity, Iterator columnIterator, Ejb3JoinColumn[] columns, SimpleValue value)`
`void` | `setAbstract(boolean anAbstract)`
`void` | `setCatalog(String catalog)`
`void` | `setConstraints(String constraints)`
`void` | `setDefaultName(String ownerEntity, String ownerEntityTable, String associatedEntity, String associatedEntityTable, String propertyName)`
`void` | `setDenormalizedSuperTable(Table denormalizedSuperTable)`
`void` | `setJPA2ElementCollection(boolean isJPA2ElementCollection)`
`void` | `setMappings(Mappings mappings)`
`void` | `setName(String name)`
`void` | `setSchema(String schema)`
`void` | `setUniqueConstraints(UniqueConstraint[] uniqueConstraints)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableBinder

    public TableBinder()

Method Detail

### setSchema

    public void setSchema(String schema)

### setCatalog

    public void setCatalog(String catalog)

### getName

    public String getName()

### setName

    public void setName(String name)

### setAbstract

    public void setAbstract(boolean anAbstract)

### setUniqueConstraints

    public void setUniqueConstraints(UniqueConstraint[] uniqueConstraints)

### setConstraints

    public void setConstraints(String constraints)

### setDenormalizedSuperTable

    public void setDenormalizedSuperTable(Table denormalizedSuperTable)

### setMappings

    public void setMappings(Mappings mappings)

### setJPA2ElementCollection

    public void setJPA2ElementCollection(boolean isJPA2ElementCollection)

### bind

    public Table bind()

### buildAndFillTable

    public static Table buildAndFillTable(String schema,
                                          String catalog,
                                          ObjectNameSource nameSource,
                                          ObjectNameNormalizer.NamingStrategyHelper namingStrategyHelper,
                                          boolean isAbstract,
                                          List<UniqueConstraintHolder> uniqueConstraints,
                                          String constraints,
                                          Table denormalizedSuperTable,
                                          Mappings mappings,
                                          String subselect)

### fillTable

    @Deprecated
    public static Table fillTable(String schema,
                                             String catalog,
                                             String realTableName,
                                             String logicalName,
                                             boolean isAbstract,
                                             List uniqueConstraints,
                                             String constraints,
                                             Table denormalizedSuperTable,
                                             Mappings mappings)

  Deprecated. Use `buildAndFillTable(java.lang.String, java.lang.String, org.hibernate.cfg.ObjectNameSource, org.hibernate.cfg.ObjectNameNormalizer.NamingStrategyHelper, boolean, java.util.List, java.lang.String, org.hibernate.mapping.Table, org.hibernate.cfg.Mappings, java.lang.String)` instead.

### bindFk

    public static void bindFk(PersistentClass referencedEntity,
                              PersistentClass destinationEntity,
                              Ejb3JoinColumn[] columns,
                              SimpleValue value,
                              boolean unique,
                              Mappings mappings)

### linkJoinColumnWithValueOverridingNameIfImplicit

    public static void linkJoinColumnWithValueOverridingNameIfImplicit(PersistentClass referencedEntity,
                                                                       Iterator columnIterator,
                                                                       Ejb3JoinColumn[] columns,
                                                                       SimpleValue value)

### createUniqueConstraint

    public static void createUniqueConstraint(Value value)

### addIndexes

    public static void addIndexes(Table hibTable,
                                  Index[] indexes,
                                  Mappings mappings)

### buildUniqueConstraints

    @Deprecated
    public static List<String[]> buildUniqueConstraints(UniqueConstraint[] constraintsArray)

  Deprecated. Use `buildUniqueConstraintHolders(javax.persistence.UniqueConstraint[])` instead

### buildUniqueConstraintHolders

    public static List<UniqueConstraintHolder> buildUniqueConstraintHolders(UniqueConstraint[] annotations)

  Build a list of `UniqueConstraintHolder` instances given a list of `UniqueConstraint` annotations.

  Parameters:
    `annotations` - The `UniqueConstraint` annotations.
  Returns:
    The built `UniqueConstraintHolder` instances.

### setDefaultName

    public void setDefaultName(String ownerEntity,
                               String ownerEntityTable,
                               String associatedEntity,
                               String associatedEntityTable,
                               String propertyName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.